# DelegateStxOptions | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

Delegate stx options

param

  number of microstacks to delegate

param

  the STX address of the delegatee

param

  the burnchain block height after which delegation is revoked

param

  the reward Bitcoin address of the delegator

param

  private key to sign transaction

### Hierarchy

- DelegateStxOptions

## Index

### Properties

- amountMicroStx
- delegateTo
- poxAddress
- privateKey
- untilBurnBlockHeight

## Properties

### amountMicroStx

amountMicroStx: BN

- Defined in packages/stacking/src/index.ts:124

### delegateTo

delegateTo: string

- Defined in packages/stacking/src/index.ts:125

### Optional poxAddress

poxAddress: string

- Defined in packages/stacking/src/index.ts:127

### privateKey

privateKey: string

- Defined in packages/stacking/src/index.ts:128

### Optional untilBurnBlockHeight

untilBurnBlockHeight: number

- Defined in packages/stacking/src/index.ts:126

Generated using TypeDoc